commit c7a731ee698e9c0924b185b609511639d1d7f575
Author: freddy77 <freddy77>
Date:   Mon Jan 11 18:00:16 2010 +0000

    removed wrongly committed patch

diff --git a/ChangeLog b/ChangeLog
index 75af141..d2361b8 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Jan 11 19:00:10 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/log.c: removed wrongly committed patch
+
 Mon Jan 11 18:56:17 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/token.c: unneeded with newer types.h
 
@@ -2107,4 +2110,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2935 2010/01/11 17:56:30 freddy77 Exp $
+$Id: ChangeLog,v 1.2936 2010/01/11 18:00:16 freddy77 Exp $
diff --git a/src/tds/log.c b/src/tds/log.c
index 7eaa428..c064963 100644
--- a/src/tds/log.c
+++ b/src/tds/log.c
@@ -56,7 +56,6 @@
 
 #ifdef _WIN32
 # include <process.h>
-# define pthread_self() 0
 #endif
 
 #include "tds.h"
@@ -67,10 +66,10 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: log.c,v 1.15 2010/01/11 14:03:23 jklowden Exp $");
+TDS_RCSID(var, "$Id: log.c,v 1.16 2010/01/11 18:00:16 freddy77 Exp $");
 
 /* for now all messages go to the log */
-int tds_debug_flags = TDS_DBGFLAG_ALL | TDS_DBGFLAG_SOURCE | TDS_DBGFLAG_PID | TDS_DBGFLAG_THREAD;
+int tds_debug_flags = TDS_DBGFLAG_ALL | TDS_DBGFLAG_SOURCE;
 int tds_g_append_mode = 0;
 static char *g_dump_filename = NULL;
 static int write_dump = 0;	/* is TDS stream debug log turned on? */
@@ -251,14 +250,6 @@ tdsdump_start(FILE *file, const char *fname, int line)
 		started = 1;
 	}
 
-	if (tds_debug_flags & TDS_DBGFLAG_THREAD) {
-		if (started)
-			*pbuf++ = ' ';
-		pbuf += sprintf(pbuf, "%d", (int) pthread_self());
-		started = 1;
-	}
-
-
 	if ((tds_debug_flags & TDS_DBGFLAG_SOURCE) && fname && line) {
 		const char *p;
 		p = strrchr(fname, '/');

